Bug 1029752 - CVE-2013-4495 torque: arbitrary code execution via job submission [fedora-all]
CVE-2013-4495 torque: arbitrary code execution via job submission [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: torque (Show other bugs)
19
All Linux
high Severity high
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
fst_owner=dcafaro
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-4495
  Show dependency treegraph
 
Reported: 2013-11-13 01:22 EST by Kurt Seifried
Modified: 2014-10-18 13:00 EDT (History)
5 users (show)

See Also:
Fixed In Version: torque-3.0.4-5.fc19
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-18 12:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2013-11-13 01:22:36 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Kurt Seifried 2013-11-13 01:22:44 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1026910,1029752
Comment 2 David A. Cafaro 2014-08-16 22:41:38 EDT
Whiteboard: fst_owner=dcafaro
Comment 3 David A. Cafaro 2014-08-16 22:54:50 EDT
According to the upstream bug/CVS this was corrected in version 4.2.6.  Fedora 21 is now at torque-4.2.6.1-5.fc21.

Given that Fedora is now at a patched version this bug can be closed.
Comment 4 David A. Cafaro 2014-08-17 09:39:58 EDT
(In reply to David A. Cafaro from comment #3)
> According to the upstream bug/CVS this was corrected in version 4.2.6. 
> Fedora 21 is now at torque-4.2.6.1-5.fc21.
> 
> Given that Fedora is now at a patched version this bug can be closed.

Sorry, forgot Fedora 20 and 19 are still supported.

Fedora 19 is at version: torque-3.0.4-1.fc17

Fedora 20 is at version: torque-3.0.4-4.fc20

I'll investigate further, sorry.
Comment 5 David A. Cafaro 2014-08-17 15:18:56 EDT
According to upstream the 3.0.x branch is no longer being supported:

http://www.adaptivecomputing.com/support/download-center/torque-download/

Specific fix for this CVE is listed here in the 4.2.6 release notes, but no access to the related jira ticket:

http://www.adaptivecomputing.com/wp-content/uploads/releasenotes/releaseNotes-4.2.6.html
"pbs_user used popen to send mail using the email addresses specified on the command line, which posed a security risk. TORQUE no longer allows you to run root commands in the email portion of qsub (TRQ-2310). CVE 2013-4495"
Comment 6 David A. Cafaro 2014-08-17 15:58:39 EDT
So the patch for 2.5 looks like a close fit for the 3.0.x branch from my initial comparison:


https://github.com/adaptivecomputing/torque/commit/64da0af7ed27284f3397081313850bba270593db
Comment 7 Fedora Update System 2014-09-05 03:54:51 EDT
torque-3.0.4-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/torque-3.0.4-5.fc20
Comment 8 Fedora Update System 2014-09-05 03:54:55 EDT
torque-3.0.4-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/torque-3.0.4-4.fc19
Comment 9 Fedora Update System 2014-09-09 18:22:02 EDT
Package torque-3.0.4-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing torque-3.0.4-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10458/torque-3.0.4-5.fc20
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-10-02 04:08:38 EDT
torque-3.0.4-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/torque-3.0.4-5.fc19
Comment 11 Fedora Update System 2014-10-02 04:08:47 EDT
torque-3.0.4-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/torque-3.0.4-6.fc20
Comment 12 Fedora Update System 2014-10-18 12:59:35 EDT
torque-3.0.4-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2014-10-18 13:00:06 EDT
torque-3.0.4-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.